Home

BlockBook API

v1.0.0
Base URLs
https://avax-blockbook.nownodes.io
https://avax.nownodes.io/ext/bc/C/rpc
https://avax.nownodes.io
https://avax.nownodes.io/ext/index/{chain}/{container}
https://avax.nownodes.io/ext/bc/P
https://avax.nownodes.io/ext/bc/X
https://avax.nownodes.io/ext/bc/X/wallet

Authentication

api-keyAuthapiKey

API Key: api-key in header

MAINNET / Blockbook

BlockBook

Get Blockbook backend info

GET
https://avax-blockbook.nownodes.io/api

Returns general metadata and status about the Blockbook service and its connected backend node.

Response

200OK

Successfully retrieved Blockbook info

500Internal Server Error

Internal error

Authorization

api-keyAuthapiKey in header

Get block hash by block height

GET
https://avax-blockbook.nownodes.io/api/v2/block-index/{height}

Returns the block hash corresponding to the specified block height.

Parameters

heightinteger>= 0requiredpath

The height of the block (e.g., 800000)

Response

200OK

Successfully retrieved block hash

404Not Found

Block not found at given height

500Internal Server Error

Internal server error

Authorization

api-keyAuthapiKey in header

Get specific transaction details

GET
https://avax-blockbook.nownodes.io/api/v2/tx-specific/{txid}

Returns full decoded transaction data for a given transaction ID.

Parameters

txidstringrequiredpath

Transaction ID (txid) to look up

Response

200OK

Successful response with transaction details

404Not Found

Transaction not found

500Internal Server Error

Internal server error

Authorization

api-keyAuthapiKey in header

Get address information

GET
https://avax-blockbook.nownodes.io/api/v2/address/{address}

Returns detailed information about a Bitcoin address such as balance, total received and sent, unconfirmed transactions, list of txids, and more. Supports pagination and filtering by block height and details.

Parameters

addressstringrequiredpath

Bitcoin address to query.

pageinteger1query

Page number for pagination (default is 1).

pageSizeinteger1000query

Number of items per page (default 1000).

fromintegerquery

Starting block height to filter transactions (optional).

tointegerquery

Ending block height to filter transactions (optional).

detailsstringbasictokenstokenBalancestxidstxsquery

Level of transaction detail to return. Options:

  • basic: Basic transaction info.
  • tokens: Include token info.
  • tokenBalances: Include token balances.
  • txids: Return only transaction IDs.
  • txs: Return full transaction details.
contractstringquery

Filter by contract address (optional).

secondarystringquery

Include secondary currency balances (e.g., USD).

Response

200OK

Successful response with address details

400Bad Request

Invalid address or bad request

404Not Found

Address not found

500Internal Server Error

Internal server error

Authorization

api-keyAuthapiKey in header

Get XPUB or descriptor details

GET
https://avax-blockbook.nownodes.io/api/v2/xpub/{xpubOrDescriptor}

Retrieves detailed information about an XPUB or descriptor including confirmed balance, total received and sent amounts, unconfirmed balances, transaction counts, tokens used, and paginated transaction IDs.

Parameters

xpubOrDescriptorstringrequiredpath

XPUB or descriptor to query.

pageinteger1query

Page number for pagination (default is 1).

pageSizeinteger1000query

Number of items per page (default 1000).

fromintegerquery

Starting block height to filter transactions (optional).

tointegerquery

Ending block height to filter transactions (optional).

detailsstringbasictokenstokenBalancestxidstxsquery

Level of transaction detail to return. Options:

  • basic: Basic transaction info.
  • tokens: Include token info.
  • tokenBalances: Include token balances.
  • txids: Return only transaction IDs.
  • txs: Return full transaction details.
tokensstringnonzerousedderivedquery

Filter tokens by usage type:

  • nonzero: Tokens with non-zero balances.
  • used: Tokens that have been used.
  • derived: Tokens derived from this XPUB.
secondarystringquery

Include secondary currency balances (e.g., EUR).

Response

200OK

Successful response with XPUB details

400Bad Request

Invalid XPUB or bad request

404Not Found

XPUB not found

500Internal Server Error

Internal server error

Authorization

api-keyAuthapiKey in header

Get UTXOs for address, XPUB or descriptor

GET
https://avax-blockbook.nownodes.io/api/v2/utxo/{addressOrXpubOrDescriptor}

Retrieves the unspent transaction outputs (UTXOs) associated with a specific address, XPUB, or descriptor. Optionally filter only confirmed UTXOs by using the confirmed query parameter.

Parameters

addressOrXpubOrDescriptorstringrequiredpath

Address, XPUB or descriptor to query UTXOs for.

confirmedbooleanfalsequery

If true, only return confirmed UTXOs. Defaults to false (returns both confirmed and unconfirmed).

Response

200OK

List of UTXOs for the given address, XPUB, or descriptor

400Bad Request

Invalid address or parameter error

404Not Found

No UTXOs found for the specified input

500Internal Server Error

Internal server error

Authorization

api-keyAuthapiKey in header

Get block details by height or hash

GET
https://avax-blockbook.nownodes.io/api/v2/block/{blockHeightOrHash}

Returns detailed information about a block specified by its height or hash.

Parameters

blockHeightOrHashstringrequiredpath

Block height (integer) or block hash (string) to identify the block.

Response

200OK

Block details response

400Bad Request

Invalid block height or hash format

404Not Found

Block not found

500Internal Server Error

Internal server error

Authorization

api-keyAuthapiKey in header

Broadcast raw transaction

GET
https://avax-blockbook.nownodes.io/api/v2/sendtx/{hexTxData}

Sends a raw transaction to the blockchain network. The transaction must be provided as a hex-encoded string in the URL path.

Parameters

hexTxDatastringrequiredpath

Hex-encoded raw transaction data to be broadcasted.

Response

200OK

Transaction broadcast successful

400Bad Request

Invalid transaction hex data

500Internal Server Error

Internal server error

Authorization

api-keyAuthapiKey in header

Get list of tickers updated since timestamp

GET
https://avax-blockbook.nownodes.io/api/v2/tickers-list

Returns an array of ticker objects representing cryptocurrency prices updated since the specified UNIX timestamp (in seconds).

Parameters

timestampintegerquery

UNIX timestamp (in seconds). Only tickers updated after this time are returned.

Response

200OK

List of tickers

400Bad Request

Invalid timestamp parameter

500Internal Server Error

Internal server error

Authorization

api-keyAuthapiKey in header

Get balance history for an address or XPUB

GET
https://avax-blockbook.nownodes.io/api/v2/balancehistory/{account}

Returns the balance history for the specified address or XPUB between the from and to date parameters. The balances can be optionally converted to a specified fiat currency and grouped by time intervals.

Parameters

accountstringrequiredpath

XPUB or address to query balance history for

fromstring<date-time>requiredquery

Start date (ISO 8601 format, e.g. 2023-01-01T00:00:00Z)

tostring<date-time>requiredquery

End date (ISO 8601 format, e.g. 2023-01-10T00:00:00Z)

fiatcurrencystringquery

Fiat currency code to convert balances (e.g., USD, EUR). Optional.

groupByintegerquery

Group results by time interval in seconds (e.g., 86400 for daily). Optional.

Response

200OK

Balance history retrieved successfully

400Bad Request

Invalid or missing parameters

500Internal Server Error

Internal server error

Authorization

api-keyAuthapiKey in header

MAINNET / C-Chain

C-Chain

avalanche.getAtomicTx

POST
https://avax-blockbook.nownodes.io/

Get an atomic transaction.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavalanche.getAtomicTxrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

avalanche.getUTXOs

POST
https://avax-blockbook.nownodes.io/

Get atomic UTXOs available to the C-Chain.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavalanche.getUTXOsrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

avalanche.issueTx

POST
https://avax-blockbook.nownodes.io/

Issue an atomic transaction to the C-Chain.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavalanche.issueTxrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_accounts

POST
https://avax-blockbook.nownodes.io/

Return addresses owned by the client.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_accountsrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_baseFee

POST
https://avax-blockbook.nownodes.io/

Return the current C-Chain base fee.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_baseFeerequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_blockNumber

POST
https://avax-blockbook.nownodes.io/

Return the latest block number.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_blockNumberrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_call

POST
https://avax-blockbook.nownodes.io/

Execute a call without creating a transaction.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_callrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_chainId

POST
https://avax-blockbook.nownodes.io/

Return the C-Chain ID.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_chainIdrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_coinbase

POST
https://avax-blockbook.nownodes.io/

Return the client coinbase address.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_coinbaserequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_estimateGas

POST
https://avax-blockbook.nownodes.io/

Estimate the gas required for a transaction.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_estimateGasrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_feeHistory

POST
https://avax-blockbook.nownodes.io/

Return historical fee information.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_feeHistoryrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_gasPrice

POST
https://avax-blockbook.nownodes.io/

Return the current gas price.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_gasPricerequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getAssetBalance

POST
https://avax-blockbook.nownodes.io/

Return the balance of an Avalanche native asset held by an EVM address.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getAssetBalancerequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getBalance

POST
https://avax-blockbook.nownodes.io/

Return the balance of an address.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getBalancerequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getBlockByHash

POST
https://avax-blockbook.nownodes.io/

Return a block by hash.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getBlockByHashrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getBlockByNumber

POST
https://avax-blockbook.nownodes.io/

Return a block by number.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getBlockByNumberrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getBlockTransactionCountByHash

POST
https://avax-blockbook.nownodes.io/

Return the number of transactions in a block by hash.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getBlockTransactionCountByHashrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getBlockTransactionCountByNumber

POST
https://avax-blockbook.nownodes.io/

Return the number of transactions in a block by number.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getBlockTransactionCountByNumberrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getCode

POST
https://avax-blockbook.nownodes.io/

Return contract bytecode.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getCoderequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getFilterChanges

POST
https://avax-blockbook.nownodes.io/

Return changes since the last filter poll.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getFilterChangesrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getFilterLogs

POST
https://avax-blockbook.nownodes.io/

Return all logs matching a filter.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getFilterLogsrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getLogs

POST
https://avax-blockbook.nownodes.io/

Return logs matching a filter.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getLogsrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getStorageAt

POST
https://avax-blockbook.nownodes.io/

Return a storage value from a contract.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getStorageAtrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getTransactionByBlockHashAndIndex

POST
https://avax-blockbook.nownodes.io/

Return a transaction by block hash and index.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getTransactionByBlockHashAndIndexrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getTransactionByBlockNumberAndIndex

POST
https://avax-blockbook.nownodes.io/

Return a transaction by block number and index.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getTransactionByBlockNumberAndIndexrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getTransactionByHash

POST
https://avax-blockbook.nownodes.io/

Return a transaction by hash.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getTransactionByHashrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getTransactionCount

POST
https://avax-blockbook.nownodes.io/

Return the transaction count for an address.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getTransactionCountrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getTransactionReceipt

POST
https://avax-blockbook.nownodes.io/

Return a transaction receipt.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getTransactionReceiptrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getUncleByBlockHashAndIndex

POST
https://avax-blockbook.nownodes.io/

Return an uncle block by block hash and index.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getUncleByBlockHashAndIndexrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getUncleByBlockNumberAndIndex

POST
https://avax-blockbook.nownodes.io/

Return an uncle block by block number and index.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getUncleByBlockNumberAndIndexrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getUncleCountByBlockHash

POST
https://avax-blockbook.nownodes.io/

Return the uncle count by block hash.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getUncleCountByBlockHashrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_getUncleCountByBlockNumber

POST
https://avax-blockbook.nownodes.io/

Return the uncle count by block number.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_getUncleCountByBlockNumberrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_hashrate

POST
https://avax-blockbook.nownodes.io/

Return hashes per second.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_hashraterequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_maxPriorityFeePerGas

POST
https://avax-blockbook.nownodes.io/

Return a suggested priority fee per gas.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_maxPriorityFeePerGasrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_mining

POST
https://avax-blockbook.nownodes.io/

Return whether the client is mining.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_miningrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_newBlockFilter

POST
https://avax-blockbook.nownodes.io/

Create a block filter.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_newBlockFilterrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_newFilter

POST
https://avax-blockbook.nownodes.io/

Create a log filter.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_newFilterrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_newPendingTransactionFilter

POST
https://avax-blockbook.nownodes.io/

Create a pending transaction filter.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_newPendingTransactionFilterrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_protocolVersion

POST
https://avax-blockbook.nownodes.io/

Return the Ethereum protocol version.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_protocolVersionrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_sendRawTransaction

POST
https://avax-blockbook.nownodes.io/

Broadcast a signed raw transaction.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_sendRawTransactionrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_sendTransaction

POST
https://avax-blockbook.nownodes.io/

Create, sign, and broadcast a transaction.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_sendTransactionrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_sign

POST
https://avax-blockbook.nownodes.io/

Sign data using an account managed by the client.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_signrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_signTransaction

POST
https://avax-blockbook.nownodes.io/

Sign a transaction without broadcasting it.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_signTransactionrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_syncing

POST
https://avax-blockbook.nownodes.io/

Return sync status or sync progress.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_syncingrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

eth_uninstallFilter

POST
https://avax-blockbook.nownodes.io/

Uninstall a filter.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringeth_uninstallFilterrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

net_listening

POST
https://avax-blockbook.nownodes.io/

Return whether the client is actively listening for network connections.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringnet_listeningrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

net_peerCount

POST
https://avax-blockbook.nownodes.io/

Return the number of connected peers.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringnet_peerCountrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

net_version

POST
https://avax-blockbook.nownodes.io/

Return the network ID.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringnet_versionrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

web3_clientVersion

POST
https://avax-blockbook.nownodes.io/

Return the node client version.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringweb3_clientVersionrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

web3_sha3

POST
https://avax-blockbook.nownodes.io/

Return the Keccak-256 hash of the supplied data.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringweb3_sha3required
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

MAINNET / EVM

eth_accounts

Ethereum method - eth_accounts

POST
https://avax-blockbook.nownodes.io/

Returns an array of addresses controlled by the client.

Body

application/json
jsonrpcstringrequired

JSON-RPC version identifier

methodstringrequired

Name of the JSON-RPC method

paramsarrayrequired

No parameters are required for this method. This must be an empty array.

idintegerrequired

Unique identifier for the JSON-RPC request

Response

200OK

A list of Ethereum addresses

Authorization

api-keyAuthapiKey in header

eth_blockNumber

Ethereum method - eth_blockNumber

POST
https://avax-blockbook.nownodes.io/

Returns the number of the latest block on the chain in hexadecimal format.

Body

application/json
jsonrpcstringrequired

The JSON-RPC protocol version

methodstringrequired

Name of the method being called

paramsarrayrequired

This method does not take parameters; always send an empty array.

idintegerrequired

A unique ID for the request

Response

200OK

The latest block number

Authorization

api-keyAuthapiKey in header

eth_call

Ethereum method - eth_call

POST
https://avax-blockbook.nownodes.io/

Executes a call to a contract or address and returns the result without broadcasting a transaction.

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<object | string>required

The first object specifies the call transaction object. The second (optional) parameter specifies the block context.

Show child attributes
One of
fromstring

Address the call is sent from (optional)

tostringrequired

Target address for the call (required)

gasstring

Gas provided for the call, as hex

gasPricestring

Gas price in wei, as hex

valuestring

Amount of ETH sent, as hex (optional)

datastring

Compiled contract method call data

(Optional) Integer block number, or the string "latest", "earliest", or "pending".

string
idintegerrequired

Response

200OK

Result of the call

Authorization

api-keyAuthapiKey in header

eth_chainId

Ethereum method - eth_chainId

POST
https://avax-blockbook.nownodes.io/

Returns the hexadecimal string of the current chain ID.

Body

application/json
jsonrpcstringrequired

JSON-RPC protocol version

methodstringrequired

Name of the method to call

paramsarrayrequired

This method does not require parameters. Use an empty array.

idintegerrequired

Unique identifier for the request

Response

200OK

Chain ID response

Authorization

api-keyAuthapiKey in header

eth_coinbase

eth_coinbase

POST
https://avax-blockbook.nownodes.io/

Returns the Ethereum coinbase address (i.e., the address that receives mining rewards).

Body

application/json
jsonrpcstringrequired
methodstringeth_coinbaserequired
paramsarrayrequired

This method takes no parameters.

idintegerrequired

Response

200OK

JSON-RPC Response with the coinbase address

Authorization

api-keyAuthapiKey in header

eth_estimateGas

Estimate Gas for Transaction

POST
https://avax-blockbook.nownodes.io/

Simulates a transaction and returns an estimate of how much gas would be used.

Body

application/json
jsonrpcstringrequired

JSON-RPC protocol version

methodstringrequired

The method name

paramsArray<object | string>required

The transaction call object and an optional block tag.

Show child attributes
One of
fromstring

Address the transaction is sent from (optional)

tostringrequired

Destination address of the call

gasstring

Gas limit provided for execution (optional)

gasPricestring

Gas price in wei (optional)

valuestring

Amount of ETH to send, in hexadecimal wei (optional)

datastring

The compiled input data for the transaction (optional)

Optional block tag (e.g., "latest", "earliest", or a block number)

string
idintegerrequired

Request identifier

Response

200OK

Estimated gas amount

Authorization

api-keyAuthapiKey in header

eth_feeHistory

eth_feeHistory

POST
https://avax-blockbook.nownodes.io/

Returns fee market information for a range of blocks. This is typically used by wallets and other tools to estimate appropriate gas prices.

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<string | integer | Array<number>>required

Parameters:

  1. blockCount — number of blocks in the requested range.
  2. newestBlock — highest block number in the requested range (can be "latest").
  3. rewardPercentiles — list of percentile values to sample priority fees from each block (optional).
Show child attributes
Any of
string
integer
Array<number>
idintegerrequired

Response

200OK

JSON-RPC Response with fee history data

Authorization

api-keyAuthapiKey in header

eth_gasPrice

Get Suggested Gas Price

POST
https://avax-blockbook.nownodes.io/

Returns the current gas price in wei as a hexadecimal string. This value is a node estimate based on recent blocks and mempool activity.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

JSON-RPC method name

paramsarrayrequired

This method takes an empty array.

idintegerrequired

Request identifier

Response

200OK

Suggested gas price in wei

Authorization

api-keyAuthapiKey in header

eth_getBalance

Get ETH Balance of an Address

POST
https://avax-blockbook.nownodes.io/

Retrieves the balance (in wei) of a given Ethereum address. You can specify the block parameter to get the balance at a specific block.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

JSON-RPC method name

paramsArray<string | string>required

Array with 2 parameters:

  1. Address (20-byte hex string with '0x' prefix)
  2. Block tag (e.g., 'latest', 'earliest', 'pending', or block number in hex)
Show child attributes
One of

Ethereum address

string

Block tag

string
idintegerrequired

Request ID

Response

200OK

Balance (in wei) as hex string

Authorization

api-keyAuthapiKey in header

eth_getBlockByHash

Get Block by Hash

POST
https://avax-blockbook.nownodes.io/

Returns the block information for the specified block hash. The second parameter indicates whether to return full transaction objects or just transaction hashes.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

JSON-RPC method name

paramsArray<string | boolean>required

Array with 2 parameters:

  1. Block hash (32-byte hex string with '0x' prefix)
  2. Boolean to specify if full transaction objects are returned (true) or only transaction hashes (false)
Show child attributes
One of

Block hash (hex string)

string

Return full transaction objects if true; else return only transaction hashes

boolean
idintegerrequired

Request ID

Response

200OK

Block information

Authorization

api-keyAuthapiKey in header

eth_getBlockByNumber

Get Block by Number

POST
https://avax-blockbook.nownodes.io/

Returns the block information for the specified block number. The second parameter indicates whether to return full transaction objects or just transaction hashes.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

JSON-RPC method name

paramsArray<string | boolean>required

Array with 2 parameters:

  1. Block number (hex string, e.g., "0x1b4") or special tags ("latest", "earliest", "pending")
  2. Boolean to specify if full transaction objects are returned (true) or only transaction hashes (false)
Show child attributes
One of

Block number as hex string or special tag

string

Return full transaction objects if true; else return only transaction hashes

boolean
idintegerrequired

Request ID

Response

200OK

Block information

Authorization

api-keyAuthapiKey in header

eth_getBlockReceipts

Get All Transaction Receipts for a Block

POST
https://avax-blockbook.nownodes.io/

Returns an array of transaction receipts for every transaction in the block specified by block number or block hash.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

JSON-RPC method name

paramsArray<string>required

One parameter:

  • Block identifier, which can be either:
    • block number as hex string (e.g. "0x10d4f")
    • or block hash as hex string (0x-prefixed)
idintegerrequired

Request identifier

Response

200OK

Array of transaction receipts in the block

Authorization

api-keyAuthapiKey in header

eth_getBlockTransactionCountByHash

Get Transaction Count by Block Hash

POST
https://avax-blockbook.nownodes.io/

Returns the number of transactions contained in the block with the given hash.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

JSON-RPC method name

paramsArray<string>required

Array containing a single parameter:

  • Block hash as a hex string (32 bytes with 0x prefix)
idintegerrequired

Request ID

Response

200OK

Number of transactions in the block

Authorization

api-keyAuthapiKey in header

eth_getBlockTransactionCountByNumber

Get Transaction Count by Block Number

POST
https://avax-blockbook.nownodes.io/

Returns the number of transactions contained in the block with the given block number.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

JSON-RPC method name

paramsArray<string>required

Array containing a single parameter:

  • Block number as a hex string (e.g. "0x10d4f" for block 69007) or
  • predefined block tags such as "latest", "earliest", or "pending"
idintegerrequired

Request ID

Response

200OK

Number of transactions in the block

Authorization

api-keyAuthapiKey in header

eth_getCode

Get Contract Bytecode at Address

POST
https://avax-blockbook.nownodes.io/

Returns the contract code stored at a given address. If the address is an externally owned account (EOA), it returns "0x".

Body

application/json
jsonrpcstringrequired

JSON-RPC version.

methodstringrequired

JSON-RPC method name.

paramsArray<string>required

Parameters array with two elements:

  1. The address to get the code for (hex string, 0x-prefixed).
  2. The block number or block tag (e.g., "latest", "earliest", "pending").
idintegerrequired

Request identifier.

Response

200OK

Contract bytecode in hex format

Authorization

api-keyAuthapiKey in header

eth_getFilterChanges

Get Filter Changes

POST
https://avax-blockbook.nownodes.io/

Returns an array of logs that occurred since the last poll for the specified filter ID. The filter must have been previously created with eth_newFilter or eth_newBlockFilter or eth_newPendingTransactionFilter.

Body

application/json
jsonrpcstringrequired

JSON-RPC version.

methodstringrequired

JSON-RPC method name.

paramsArray<string>required

Parameters array with a single element:

  1. The filter ID (hex string).
idintegerrequired

Request identifier.

Response

200OK

Array of log objects or transaction hashes depending on filter type

Authorization

api-keyAuthapiKey in header

eth_getFilterLogs

Get Filter Logs

POST
https://avax-blockbook.nownodes.io/

Returns all logs matching a filter with the specified filter ID. The filter must have been previously created with eth_newFilter.

Body

application/json
jsonrpcstringrequired

JSON-RPC version.

methodstringrequired

JSON-RPC method name.

paramsArray<string>required

Parameters array with one element:

  1. The filter ID (hex string).
idintegerrequired

Request identifier.

Response

200OK

Array of log objects matching the filter

Authorization

api-keyAuthapiKey in header

eth_getLogs

Get Logs

POST
https://avax-blockbook.nownodes.io/

Returns an array of logs that match the filter criteria specified in the params. The filter object supports filtering by block range, addresses, and topics.

Body

application/json
jsonrpcstringrequired

JSON-RPC version.

methodstringrequired

JSON-RPC method name.

paramsArray<object>required

Parameters array with one element: the filter object.

Show child attributes
fromBlockstring

Starting block number (hex string) or "earliest", "latest", "pending".

toBlockstring

Ending block number (hex string) or "earliest", "latest", "pending".

addressstring | Array<string>

Contract address or list of addresses from which logs should originate.

topicsarray

Array of topic filters. Each topic can be a string, null, or an array of strings for OR filtering.

idintegerrequired

Request identifier.

Response

200OK

Array of log objects matching the filter

Authorization

api-keyAuthapiKey in header

eth_getStorageAt

Get Storage At

POST
https://avax-blockbook.nownodes.io/

Returns the value stored at position in the storage of the contract at address at the given blockNumber.

Body

application/json
jsonrpcstringrequired

JSON-RPC version.

methodstringrequired

JSON-RPC method name.

paramsArray<string>required

Parameters array:

  1. address: string - Contract address to query storage from.
  2. position: string - Storage slot position (hex string).
  3. block number: string - Block number or keywords ("latest", "earliest", "pending").
idintegerrequired

Request identifier.

Response

200OK

Storage slot value at the specified position

Authorization

api-keyAuthapiKey in header

eth_getTransactionByBlockHashAndIndex

Get Transaction by Block Hash and Index

POST
https://avax-blockbook.nownodes.io/

Retrieves the transaction from a block using the block's hash and the transaction's index position within the block.

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<string>required

Parameters:

  1. blockHash (string): The 32-byte hash of the block.
  2. transactionIndex (string): The transaction index (hex).
idintegerrequired

Response

200OK

A transaction object or null if no transaction was found.

Authorization

api-keyAuthapiKey in header

eth_getTransactionByBlockNumberAndIndex

Get Transaction by Block Number and Index

POST
https://avax-blockbook.nownodes.io/

Returns the information about a transaction using the block number and the transaction index within the block.

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<string>required

Parameters:

  1. Block number in hex format (e.g., "0x5daf3b")
  2. Transaction index in the block (e.g., "0x0")
idintegerrequired

Response

200OK

A transaction object, or null if not found.

Authorization

api-keyAuthapiKey in header

eth_getTransactionByHash

Get transaction by hash

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<string>required

Array containing a single transaction hash

idintegerrequired

Response

200OK

Transaction object or null

Authorization

api-keyAuthapiKey in header

eth_getTransactionCount

Get transaction count (nonce) for address

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<string>required
  • address: The address to check for transaction count.
  • block: The block parameter (e.g., "latest", "earliest", "pending").
idintegerrequired

Response

200OK

Hex encoded nonce (transaction count)

Authorization

api-keyAuthapiKey in header

eth_getTransactionReceipt

Get transaction receipt by hash

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<string>required
idintegerrequired

Response

200OK

Transaction receipt if mined, otherwise null

Authorization

api-keyAuthapiKey in header

eth_getUncleByBlockHashAndIndex

Get uncle block by block hash and index

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<string>required
  • blockHash: 32-byte block hash
  • index: the uncle index as hex (e.g., "0x0" for the first uncle)
idintegerrequired

Response

200OK

Uncle block object or null

Authorization

api-keyAuthapiKey in header

eth_getUncleByBlockNumberAndIndex

Get uncle block by block number and index

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<string>required
  • blockNumber: The block number as hex string (e.g., "0x10fb78"), or "latest", "earliest", "pending".
  • index: The uncle index as hex (e.g., "0x0" for the first uncle).
idintegerrequired

Response

200OK

Uncle block object or null

Authorization

api-keyAuthapiKey in header

eth_getUncleCountByBlockHash

Get the number of uncle blocks by block hash

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<string>required

An array containing the block hash.

idintegerrequired

Response

200OK

Number of uncles in the block

Authorization

api-keyAuthapiKey in header

eth_getUncleCountByBlockNumber

Get the number of uncle blocks by block number

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<string>required

An array containing the block number as a hex string.

idintegerrequired

Response

200OK

Number of uncle blocks in the block

Authorization

api-keyAuthapiKey in header

eth_hashrate

eth_hashrate

POST
https://avax-blockbook.nownodes.io/

Returns the current mining hashrate reported by the client.

Body

application/json
jsonrpcstringrequired
methodstringeth_hashraterequired
paramsarrayrequired

This method takes no parameters.

idintegerrequired

Response

200OK

JSON-RPC response with the current mining hashrate

Authorization

api-keyAuthapiKey in header

eth_maxPriorityFeePerGas

Get recommended maxPriorityFeePerGas value

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsarrayrequired

No parameters are required.

idintegerrequired

Response

200OK

Returns the suggested maxPriorityFeePerGas value

Authorization

api-keyAuthapiKey in header

eth_mining

eth_mining

POST
https://avax-blockbook.nownodes.io/

Checks whether the Ethereum client is actively mining.

Body

application/json
jsonrpcstringrequired
methodstringeth_miningrequired
paramsarrayrequired

This method does not accept parameters.

idintegerrequired

Response

200OK

JSON-RPC Response indicating mining status

Authorization

api-keyAuthapiKey in header

eth_newBlockFilter

Create a new block filter

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<any>required

This method does not require any parameters.

idintegerrequired

Response

200OK

Filter ID created successfully

Authorization

api-keyAuthapiKey in header

eth_newFilter

Create a new log filter

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<object>required

Array with one object describing the filter options.

Show child attributes
fromBlockstring

Starting block number or tag ("latest", "earliest", "pending").

toBlockstring

Ending block number or tag.

addressstring | Array<string> | null
topicsArray<string | Array<string>> | null

Array of topic filters. Topics are 32-byte hashes identifying events.

Show child attributes
One of
string
Array<string>
idintegerrequired

Response

200OK

Filter ID created successfully

Authorization

api-keyAuthapiKey in header

eth_newPendingTransactionFilter

Create a filter for pending transactions

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

JSON-RPC method name

paramsArray<any>required

No parameters required for this method

idintegerrequired

Request identifier

Response

200OK

Filter ID created successfully

Authorization

api-keyAuthapiKey in header

eth_sendRawTransaction

Send a raw signed transaction

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

paramsArray<string>required

Array containing a single signed transaction data (hex string)

idintegerrequired

Request ID

Response

200OK

Transaction successfully sent

Authorization

api-keyAuthapiKey in header

eth_sendTransaction

Send a transaction using node-managed account

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<object>required

Transaction object

Show child attributes
fromstring

Address the transaction is sent from

tostring

Address the transaction is directed to

gasstring

Gas provided for the transaction (hex)

gasPricestring

Gas price in wei (hex)

valuestring

Value sent with the transaction in wei (hex)

datastring

(Optional) Data for contract interaction

idintegerrequired

Response

200OK

Transaction successfully sent

Authorization

api-keyAuthapiKey in header

eth_sign

Sign arbitrary data using eth_sign

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<string>required

[address, data]

  • address: The account that will sign the data
  • data: The data to be signed (must be a hex string)
idintegerrequired

Response

200OK

Returns the signature of the message

Authorization

api-keyAuthapiKey in header

eth_signTransaction

eth_signTransaction

POST
https://avax-blockbook.nownodes.io/

Signs a transaction locally with the private key of the specified account.

Body

application/json
jsonrpcstringrequired
methodstringeth_signTransactionrequired
paramsArray<object>required

Array with a single object representing the transaction to sign.

Show child attributes
fromstringrequired

The address of the account that will sign the transaction.

tostring

The destination address of the transaction.

gasstring

Gas limit for the transaction, as a hex string.

gasPricestring

Gas price in wei, as a hex string.

valuestring

Amount of wei to send, as a hex string.

datastring

Data payload of the transaction, hex encoded.

noncestring

Nonce of the transaction, as a hex string.

chainIdinteger

The chain ID to protect against replay attacks.

idintegerrequired

Response

200OK

JSON-RPC response with the signed transaction data

Authorization

api-keyAuthapiKey in header

eth_syncing

Check if node is syncing

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsarrayrequired

Must be an empty array.

idintegerrequired

Response

200OK

Returns sync status object or false

Authorization

api-keyAuthapiKey in header

eth_uninstallFilter

Uninstall an existing filter

POST
https://avax-blockbook.nownodes.io/

Body

application/json
jsonrpcstringrequired
methodstringrequired
paramsArray<string>required
idintegerrequired

Response

200OK

Success or failure of the uninstall operation

Authorization

api-keyAuthapiKey in header

net_listening

net_listening

POST
https://avax-blockbook.nownodes.io/

Checks if the client is listening for network connections.

Body

application/json
jsonrpcstringrequired
methodstringnet_listeningrequired
paramsarrayrequired

This method takes no parameters.

idintegerrequired

Response

200OK

JSON-RPC response with listening status

Authorization

api-keyAuthapiKey in header

net_peerCount

net_peerCount

POST
https://avax-blockbook.nownodes.io/

Returns the number of peers currently connected to the client.

Body

application/json
jsonrpcstringrequired
methodstringnet_peerCountrequired
paramsarrayrequired

This method takes no parameters.

idintegerrequired

Response

200OK

JSON-RPC response with the number of connected peers

Authorization

api-keyAuthapiKey in header

net_version

net_version

POST
https://avax-blockbook.nownodes.io/

Returns the current network ID of the Ethereum client.

Body

application/json
jsonrpcstringrequired
methodstringnet_versionrequired
paramsarrayrequired

This method takes no parameters.

idintegerrequired

Response

200OK

JSON-RPC response with the current network ID

Authorization

api-keyAuthapiKey in header

web3_clientVersion

web3_clientVersion

POST
https://avax-blockbook.nownodes.io/

Returns the current Ethereum client version.

Body

application/json
jsonrpcstringrequired
methodstringweb3_clientVersionrequired
paramsarrayrequired

This method takes no parameters.

idintegerrequired

Response

200OK

JSON-RPC response with the client version string

Authorization

api-keyAuthapiKey in header

web3_sha3

web3_sha3

POST
https://avax-blockbook.nownodes.io/

Computes the Keccak-256 (SHA-3) hash of the given hex-encoded data.

Body

application/json
jsonrpcstringrequired
methodstringweb3_sha3required
paramsArray<string>required

Array containing a single hex-encoded data string to hash.

idintegerrequired

Response

200OK

JSON-RPC response with the Keccak-256 hash of the input data

Authorization

api-keyAuthapiKey in header

MAINNET / Index

Index

index.getContainerByID

POST
https://avax-blockbook.nownodes.io/

Get an indexed container by ID.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringindex.getContainerByIDrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

index.getContainerByIndex

POST
https://avax-blockbook.nownodes.io/

Get an indexed container by its index.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringindex.getContainerByIndexrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

index.getContainerRange

POST
https://avax-blockbook.nownodes.io/

Get a range of indexed containers.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringindex.getContainerRangerequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

index.getIndex

POST
https://avax-blockbook.nownodes.io/

Get the index assigned to a container.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringindex.getIndexrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

index.getLastAccepted

POST
https://avax-blockbook.nownodes.io/

Get the last accepted indexed container.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringindex.getLastAcceptedrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

MAINNET / P-Chain

P-Chain

platform.getAllValidatorsAt

POST
https://avax-blockbook.nownodes.io/

Get validators for all subnets at a P-Chain height.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getAllValidatorsAtrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getBalance

POST
https://avax-blockbook.nownodes.io/

Get the balance of AVAX controlled by the specified addresses.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getBalancerequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getBlock

POST
https://avax-blockbook.nownodes.io/

Get a P-Chain block by its ID.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getBlockrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getBlockByHeight

POST
https://avax-blockbook.nownodes.io/

Get a P-Chain block by height.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getBlockByHeightrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getBlockchains

POST
https://avax-blockbook.nownodes.io/

Get the blockchains that exist on the Avalanche network.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getBlockchainsrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getCurrentSupply

POST
https://avax-blockbook.nownodes.io/

Get the current supply of the staking asset for a subnet.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getCurrentSupplyrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getCurrentValidators

POST
https://avax-blockbook.nownodes.io/

Get the current validators of a subnet or the Primary Network.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getCurrentValidatorsrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getFeeConfig

POST
https://avax-blockbook.nownodes.io/

Return the P-Chain dynamic fee configuration.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getFeeConfigrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getFeeState

POST
https://avax-blockbook.nownodes.io/

Return the current P-Chain fee state.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getFeeStaterequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getHeight

POST
https://avax-blockbook.nownodes.io/

Get the height of the last accepted P-Chain block.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getHeightrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getL1Validator

POST
https://avax-blockbook.nownodes.io/

Get information about an L1 validator.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getL1Validatorrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getMaxStakeAmount

POST
https://avax-blockbook.nownodes.io/

Get the maximum amount that may be staked on a validator during a time range.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getMaxStakeAmountrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getMinStake

POST
https://avax-blockbook.nownodes.io/

Get the minimum validator and delegator stake amounts.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getMinStakerequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getPendingValidators

POST
https://avax-blockbook.nownodes.io/

Get pending validators and delegators.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getPendingValidatorsrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getProposedHeight

POST
https://avax-blockbook.nownodes.io/

Get the P-Chain height proposed by the ProposerVM.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getProposedHeightrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getRewardUTXOs

POST
https://avax-blockbook.nownodes.io/

Get UTXOs rewarded after a staking or delegation period ended.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getRewardUTXOsrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getStake

POST
https://avax-blockbook.nownodes.io/

Get the amount staked by the specified addresses.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getStakerequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getStakingAssetID

POST
https://avax-blockbook.nownodes.io/

Get the staking asset ID for a subnet.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getStakingAssetIDrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getSubnet

POST
https://avax-blockbook.nownodes.io/

Get information about a subnet.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getSubnetrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getSubnets

POST
https://avax-blockbook.nownodes.io/

Get information about subnets.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getSubnetsrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getTimestamp

POST
https://avax-blockbook.nownodes.io/

Get the current P-Chain timestamp.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getTimestamprequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getTotalStake

POST
https://avax-blockbook.nownodes.io/

Get the total stake on a subnet.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getTotalStakerequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getTx

POST
https://avax-blockbook.nownodes.io/

Get a P-Chain transaction.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getTxrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getTxStatus

POST
https://avax-blockbook.nownodes.io/

Get the status of a P-Chain transaction.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getTxStatusrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getUTXOs

POST
https://avax-blockbook.nownodes.io/

Get UTXOs controlled by the specified P-Chain addresses.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getUTXOsrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getValidatorFeeConfig

POST
https://avax-blockbook.nownodes.io/

Return the validator fee configuration.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getValidatorFeeConfigrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getValidatorFeeState

POST
https://avax-blockbook.nownodes.io/

Return the current validator fee state.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getValidatorFeeStaterequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.getValidatorsAt

POST
https://avax-blockbook.nownodes.io/

Get validators and weights at a P-Chain height.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.getValidatorsAtrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.issueTx

POST
https://avax-blockbook.nownodes.io/

Issue a signed P-Chain transaction.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.issueTxrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.validatedBy

POST
https://avax-blockbook.nownodes.io/

Get the subnet that validates a blockchain.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.validatedByrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

platform.validates

POST
https://avax-blockbook.nownodes.io/

Get blockchains validated by a subnet.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringplatform.validatesrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

MAINNET / X-Chain

X-Chain

avm.getAllBalances

POST
https://avax-blockbook.nownodes.io/

Get balances of all assets controlled by an address.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavm.getAllBalancesrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

avm.getAssetDescription

POST
https://avax-blockbook.nownodes.io/

Get information about an X-Chain asset.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavm.getAssetDescriptionrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

avm.getBalance

POST
https://avax-blockbook.nownodes.io/

Get an asset balance controlled by an address.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavm.getBalancerequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

avm.getBlock

POST
https://avax-blockbook.nownodes.io/

Get an X-Chain block by ID.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavm.getBlockrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

avm.getBlockByHeight

POST
https://avax-blockbook.nownodes.io/

Get an X-Chain block by height.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavm.getBlockByHeightrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

avm.getHeight

POST
https://avax-blockbook.nownodes.io/

Get the height of the last accepted X-Chain block.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavm.getHeightrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

avm.getTx

POST
https://avax-blockbook.nownodes.io/

Get an X-Chain transaction.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavm.getTxrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

avm.getTxFee

POST
https://avax-blockbook.nownodes.io/

Get X-Chain network fees.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavm.getTxFeerequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

avm.getTxStatus

POST
https://avax-blockbook.nownodes.io/

Get the status of an X-Chain transaction.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavm.getTxStatusrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

avm.getUTXOs

POST
https://avax-blockbook.nownodes.io/

Get UTXOs controlled by X-Chain addresses.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavm.getUTXOsrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

avm.issueTx

POST
https://avax-blockbook.nownodes.io/

Issue a signed X-Chain transaction.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringavm.issueTxrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header

wallet.issueTx

POST
https://avax-blockbook.nownodes.io/

Issue a signed transaction.

Body

application/json
jsonrpcstring2.0required
idinteger | stringrequired
methodstringwallet.issueTxrequired
paramsobjectrequired

Response

200OK

Successful JSON-RPC response

400Bad Request

Invalid JSON-RPC request

401Unauthorized

Missing or invalid API key

429Too Many Requests

Rate limit exceeded

500Internal Server Error

Node or upstream error

Authorization

api-keyAuthapiKey in header